TrackInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class TrackInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.TrackInfo

    public abstract class TrackInfo

extends java.lang.Object

Model of the currently used track

Author:
  Marvin Froehlich

Field Summary
`protected java.io.File` | `trackFolder`

Constructor Summary
`protected` | `TrackInfo(ProfileInfo profileInfo)` Create a new instance.

Method Summary
`abstract java.io.File` | `getAIWFile()` Finds the AIW file for the given track.
`abstract int` | `getRaceLaps()` Gets last read track race laps.
`java.io.File` | `getSceneFile()` Gets the track's scene file.
`abstract Track` | `getTrack()` Gets the track abstraction (waypoints) of the current track.
`java.io.File` | `getTrackFolder()` Gets the track's folder.
`abstract java.lang.String` | `getTrackName()` Gets the track's name.
`protected void` | `reset()`
`protected abstract void` | `updateImpl(java.io.File sceneFile)` Finds the folder from the GameData\Locations folder, in which a .gdb file exists, that contains a line TrackName = trackname WARNING: This operation may take a long time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trackFolder

    protected java.io.File trackFolder

Constructor Detail

### TrackInfo

    protected TrackInfo(ProfileInfo profileInfo)

  Create a new instance.

  Parameters:
    `profileInfo` -

Method Detail

### reset

    protected void reset()

### updateImpl

    protected abstract void updateImpl(java.io.File sceneFile)

  Finds the folder from the GameData\Locations folder, in which a .gdb file exists, that contains a line
  TrackName = trackname

  WARNING:
  This operation may take a long time.

  Parameters:
    `sceneFile` -

### getTrackFolder

    public final java.io.File getTrackFolder()

  Gets the track's folder.

  Returns:
    the track's folder.

### getSceneFile

    public final java.io.File getSceneFile()

  Gets the track's scene file.

  Returns:
    the track's scene file.

### getTrackName

    public abstract java.lang.String getTrackName()

  Gets the track's name.

  Returns:
    the track's name.

### getRaceLaps

    public abstract int getRaceLaps()

  Gets last read track race laps.

  Returns:
    last read track race laps.

### getAIWFile

    public abstract java.io.File getAIWFile()

  Finds the AIW file for the given track.

  WARNING:
  This operation may take a long time.

  Returns:
    the AIW file for the given track.

### getTrack

    public abstract Track getTrack()

  Gets the track abstraction (waypoints) of the current track.

  WARNING:
  This operation may take a long time.

  Returns:
    the track abstraction (waypoints) of the current track.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD